Add PHP Versions

Discussion in 'ISPConfig 3 Priority Support' started by Nexus Fred, Jul 11, 2021.

  1. Nexus Fred

    Nexus Fred New Member HowtoForge Supporter

    hello,
    I just finish to install on VMware "The Perfect Server - Ubuntu 20.04 with Apache..." and I'm trying to install somes old PHP version such as 5.6/ 7.0 / 7.2. Last time with Ubuntu 18.04 I used this tutorial "How to install PHP 5.6 and 7.0 - 7.4 as PHP-FPM & FastCGI for ISPConfig 3.1 with apt on Debian 8 to 10" (Cannot find one for ISPConfig / Ubuntu). But this time it doesn't work.

    Package php5.6-json is not available, but is referred to by another package.
    This may mean that the package is missing, has been obsoleted, or
    is only available from another source

    I get the same message for PHP 7.0 / 7.1 / 7.2 / 7.3.

    How can I install old PHP versions ?


     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    For Ubuntu, you have to add the ppa from ondrej instead of adding debian sury repo to sources list:

    https://launchpad.net/~ondrej/+archive/ubuntu/php/

    Code:
    sudo add-apt-repository ppa:ondrej/php
    sudo apt-get update

    Btw. The easier way would have been to use the new auto installer https://www.howtoforge.com/ispconfig-autoinstall-debian-ubuntu/ instead of the perfect server guide, as it installs all parts needed for ISPConfig incl. all additional PHP versions automatically.
     
  3. Nexus Fred

    Nexus Fred New Member HowtoForge Supporter

    Thanks. With ondrej, I was able to install all PHP version.
    The "new auto installer" is a little beyond my Unix knowledge :) (I'm a web developer)
    I will not be able to know what package I need and what I can skip :confused:
     
  4. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    In that case, just use the default mode. It will install the same as the image.
     
    Nexus Fred likes this.

Share This Page